﻿#language: ru

@IIoT

Функционал: 05_IIoT.02.001 Создание задания на смену для ОПС

Сценарий: 05_IIoT.02.001 Создание задания на смену для ОПС
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Производственные задания'
	Тогда открылось окно 'Производственные задания'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Производственное задание (создание)'
	И в поле 'Дата смены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И я перехожу к закладке "Задание"
	И в таблице "Товары" я добавляю строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'N' | 'Серия'             | 'Характеристика'    |
		| '1' | '<не используются>' | '<не используются>' |
	И в таблице "Товары" я активизирую поле с именем "ТоварыХарактеристика"
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И я перехожу к закладке "Дополнительно"
	И в таблице "Товары" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'Для ОПС'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Производственное задание (создание) *' в течение 20 секунд
	Тогда открылось окно 'Производственные задания'
	И Я закрываю окно 'Производственные задания'

Сценарий: 05_IIoT.02.001 Закрытие клиента
	И я закрываю сеанс TESTCLIENT